diff --git a/changelog b/changelog
index 03f1d4b..e35ff72 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20091030 tpd src/axiom-website/patches.html 20091030.01.tpd.patch
+20091030 tpd src/input/Makefile add donsimple.input 
+20091030 tpd src/input/donsimple.input added
 20091029 tpd src/axiom-website/patches.html 20091029.03.tpd.patch
 20091029 tpd src/input/Makefile add numericgamma.input 
 20091029 tpd src/input/numericgamma.input added
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 67acdfe..f3cffcc 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2197,5 +2197,7 @@ src/input/distexpr.input added<br/>
 src/input/lexp.input removed, duplicate of LEXP domain<br/>
 <a href="patches/20091029.03.tpd.patch">20091029.03.tpd.patch</a>
 src/input/numericgamma.input added<br/>
+<a href="patches/20091030.01.tpd.patch">20091030.01.tpd.patch</a>
+src/input/donsimple.input added<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 388573a..4e40ea6 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -303,7 +303,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     decimal.regress   defintef.regress defintrf.regress \
     derham.regress    dfloat.regress   dhmatrix.regress \
     dhtri.regress     directproduct.regress distexpr.regress \
-    divisor.regress \
+    divisor.regress   donsimple.regress \
     dmp.regress       dop.regress      dpol.regress     \
     e1.regress        ei.regress \
     easter.regress    efi.regress \
@@ -576,7 +576,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/de2re.input \
        ${OUT}/dfloat.input   ${OUT}/dhmatrix.input \
        ${OUT}/dhtri.input  ${OUT}/directproduct.input \
-       ${OUT}/distexpr.input ${OUT}/divisor.input \
+       ${OUT}/distexpr.input ${OUT}/divisor.input ${OUT}/donsimple.input \
        ${OUT}/dmp.input      ${OUT}/dop.input \
        ${OUT}/dpol.input     ${OUT}/draw2dsf.input \
        ${OUT}/drawalg.input  ${OUT}/drawcfn.input \
@@ -826,7 +826,8 @@ DOCFILES= \
   ${DOC}/dfloat.input.dvi      ${DOC}/dhmatrix.input.dvi \
   ${DOC}/dhtri.input.dvi      \
   ${DOC}/directproduct.input.dvi ${DOC}/distexpr.input.dvi \
-  ${DOC}/divisor.input.dvi     ${DOC}/dmp.input.dvi        \
+  ${DOC}/divisor.input.dvi     ${DOC}/donsimple.input.dvi  \
+  ${DOC}/dmp.input.dvi        \
   ${DOC}/dop.input.dvi         ${DOC}/dpol.input.dvi       \
   ${DOC}/draw2dsf.input.dvi    ${DOC}/drawalg.input.dvi    \
   ${DOC}/drawcfn.input.dvi     ${DOC}/drawcfun.input.dvi   \
diff --git a/src/input/donsimple.input.pamphlet b/src/input/donsimple.input.pamphlet
new file mode 100644
index 0000000..d32eb8f
--- /dev/null
+++ b/src/input/donsimple.input.pamphlet
@@ -0,0 +1,80 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input donsimple.input}
+\author{Donald J. Bindner}
+\maketitle
+\begin{abstract}
+Demonstrate the definition of algebra functions that use two kinds of
+argument sytles.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)spool donsimple.output
+)set message test on
+)set message auto off
+)clear all
+)sys cp $AXIOM/../../src/input/donsimple.input.pamphlet .
+)lisp (tangle "donsimple.input.pamphlet" "donsimp.spad" "donsimp.spad")
+)co donsimp
+
+\end{chunk}
+\begin{chunk}{donsimp.spad}
+)abbrev package DONSIMP donSimple
+donSimple(): Exports == Implementation where
+  F   ==> Float
+  SF  ==> Segment F
+  EF  ==> Expression F
+  SBF ==> SegmentBinding F
+
+  Exports ==> with
+    simple: (F->F,SF) -> F
+    ++ simple(a,b) 
+    ++
+    ++X simple(x+->x^2,1..2)
+
+    simple: (EF,SBF) -> EF
+    ++ simple(a,b) 
+    ++
+    ++X simple(x^2,x=1..2)
+
+  Implementation ==> add
+    simple(func:F->F, sf:SF) ==
+      a:F := lo(sf)
+      b:F := hi(sf)
+      func(b) - func(a)
+
+    simple(func:EF, sbf:SBF) ==
+      a:F := lo(segment(sbf))
+      b:F := hi(segment(sbf))
+      x:Symbol := variable(sbf)
+      eval(func,kernel(x),b::EF) - eval(func,kernel(x),a::EF)
+\end{chunk} 
+
+\begin{chunk}{*}
+--S 1 of 2
+simple(1/x,x=2..3)
+--R
+--R   (1)  - 0.1666666666 666666667
+--R                                                       Type: Expression Float
+--E 1
+
+--S 2 of 2
+simple(x+->1/x,2..3)
+--R
+--R   (2)  - 0.1666666666 666666667
+--R                                                                  Type: Float
+--E 2
+
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} http://axiom-wiki.newsynthesis.org/SandBoxNumericalIntegration
+\end{thebibliography}
+\end{document}
